> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove system of record

> Remove a system of record



## OpenAPI

````yaml https://api.getcargo.io/openapi.json delete /systemOfRecordIntegration/systemOfRecords/{uuid}
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /systemOfRecordIntegration/systemOfRecords/{uuid}:
    delete:
      tags:
        - System of Record Integration - Systems of Record
      summary: Remove system of record
      description: Remove a system of record
      parameters:
        - in: path
          name: uuid
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
            title: UUID
            description: System of record identifier.
          required: true
          description: System of record identifier.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  systemOfRecord:
                    type: object
                    properties:
                      uuid:
                        type: string
                      workspaceUuid:
                        type: string
                      kind:
                        type: string
                        enum:
                          - bigQuery
                          - snowflake
                      config:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                      lastMigration:
                        anyOf:
                          - type: object
                            properties:
                              uuid:
                                type: string
                              finishedAt:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                              createdAt:
                                type: string
                              status:
                                type: string
                                enum:
                                  - success
                                  - error
                                  - running
                              errorMessage:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                            required:
                              - uuid
                              - finishedAt
                              - createdAt
                              - status
                              - errorMessage
                            additionalProperties: false
                          - type: 'null'
                      cutover:
                        anyOf:
                          - type: object
                            properties:
                              uuid:
                                type: string
                              role:
                                type: string
                                enum:
                                  - source
                                  - target
                              sourceSystemOfRecordUuid:
                                type: string
                              targetSystemOfRecordUuid:
                                type: string
                              status:
                                type: string
                                enum:
                                  - running
                                  - success
                                  - error
                              errorMessage:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                              tablesTotal:
                                type: number
                              tablesMigrated:
                                type: number
                              finishedAt:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                              createdAt:
                                type: string
                            required:
                              - uuid
                              - role
                              - sourceSystemOfRecordUuid
                              - targetSystemOfRecordUuid
                              - status
                              - errorMessage
                              - tablesTotal
                              - tablesMigrated
                              - finishedAt
                              - createdAt
                            additionalProperties: false
                          - type: 'null'
                      useCredits:
                        type: boolean
                      isActive:
                        type: boolean
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                      deletedAt:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - uuid
                      - workspaceUuid
                      - kind
                      - config
                      - lastMigration
                      - cutover
                      - useCredits
                      - isActive
                      - createdAt
                      - updatedAt
                      - deletedAt
                    additionalProperties: false
                    title: System of record
                    description: Removed system of record details.
                required:
                  - systemOfRecord
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````